1# Makefile.in generated by automake 1.16.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Makefile.am for the Enterprise Management module.
19#
20#  Licensed to the Apache Software Foundation (ASF) under one
21#  or more contributor license agreements.  See the NOTICE file
22#  distributed with this work for additional information
23#  regarding copyright ownership.  The ASF licenses this file
24#  to you under the Apache License, Version 2.0 (the
25#  "License"); you may not use this file except in compliance
26#  with the License.  You may obtain a copy of the License at
27#
28#      http://www.apache.org/licenses/LICENSE-2.0
29#
30#  Unless required by applicable law or agreed to in writing, software
31#  distributed under the License is distributed on an "AS IS" BASIS,
32#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
33#  See the License for the specific language governing permissions and
34#  limitations under the License.
35
36#  Licensed to the Apache Software Foundation (ASF) under one
37#  or more contributor license agreements.  See the NOTICE file
38#  distributed with this work for additional information
39#  regarding copyright ownership.  The ASF licenses this file
40#  to you under the Apache License, Version 2.0 (the
41#  "License"); you may not use this file except in compliance
42#  with the License.  You may obtain a copy of the License at
43#
44#      http://www.apache.org/licenses/LICENSE-2.0
45#
46#  Unless required by applicable law or agreed to in writing, software
47#  distributed under the License is distributed on an "AS IS" BASIS,
48#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
49#  See the License for the specific language governing permissions and
50#  limitations under the License.
51
52VPATH = @srcdir@
53am__is_gnu_make = { \
54  if test -z '$(MAKELEVEL)'; then \
55    false; \
56  elif test -n '$(MAKE_HOST)'; then \
57    true; \
58  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
59    true; \
60  else \
61    false; \
62  fi; \
63}
64am__make_running_with_option = \
65  case $${target_option-} in \
66      ?) ;; \
67      *) echo "am__make_running_with_option: internal error: invalid" \
68              "target option '$${target_option-}' specified" >&2; \
69         exit 1;; \
70  esac; \
71  has_opt=no; \
72  sane_makeflags=$$MAKEFLAGS; \
73  if $(am__is_gnu_make); then \
74    sane_makeflags=$$MFLAGS; \
75  else \
76    case $$MAKEFLAGS in \
77      *\\[\ \	]*) \
78        bs=\\; \
79        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
80          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
81    esac; \
82  fi; \
83  skip_next=no; \
84  strip_trailopt () \
85  { \
86    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
87  }; \
88  for flg in $$sane_makeflags; do \
89    test $$skip_next = yes && { skip_next=no; continue; }; \
90    case $$flg in \
91      *=*|--*) continue;; \
92        -*I) strip_trailopt 'I'; skip_next=yes;; \
93      -*I?*) strip_trailopt 'I';; \
94        -*O) strip_trailopt 'O'; skip_next=yes;; \
95      -*O?*) strip_trailopt 'O';; \
96        -*l) strip_trailopt 'l'; skip_next=yes;; \
97      -*l?*) strip_trailopt 'l';; \
98      -[dEDm]) skip_next=yes;; \
99      -[JT]) skip_next=yes;; \
100    esac; \
101    case $$flg in \
102      *$$target_option*) has_opt=yes; break;; \
103    esac; \
104  done; \
105  test $$has_opt = yes
106am__make_dryrun = (target_option=n; $(am__make_running_with_option))
107am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
108pkgincludedir = $(includedir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123check_PROGRAMS = test_mgmt_utils$(EXEEXT)
124subdir = mgmt/utils
125ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
126am__aclocal_m4_deps = $(top_srcdir)/build/atomic.m4 \
127	$(top_srcdir)/build/ax_check_openssl.m4 \
128	$(top_srcdir)/build/ax_compare_version.m4 \
129	$(top_srcdir)/build/ax_compiler_vendor.m4 \
130	$(top_srcdir)/build/ax_lib_curl.m4 \
131	$(top_srcdir)/build/ax_lib_readline.m4 \
132	$(top_srcdir)/build/ax_path_generic.m4 \
133	$(top_srcdir)/build/ax_perl_modules.m4 \
134	$(top_srcdir)/build/ax_require_defined.m4 \
135	$(top_srcdir)/build/ax_with_curses.m4 \
136	$(top_srcdir)/build/boringocsp.m4 \
137	$(top_srcdir)/build/brotli.m4 $(top_srcdir)/build/cjose.m4 \
138	$(top_srcdir)/build/common.m4 $(top_srcdir)/build/crypto.m4 \
139	$(top_srcdir)/build/hiredis.m4 $(top_srcdir)/build/jansson.m4 \
140	$(top_srcdir)/build/jemalloc.m4 $(top_srcdir)/build/libtool.m4 \
141	$(top_srcdir)/build/ltoptions.m4 \
142	$(top_srcdir)/build/ltsugar.m4 \
143	$(top_srcdir)/build/ltversion.m4 \
144	$(top_srcdir)/build/lt~obsolete.m4 \
145	$(top_srcdir)/build/luajit.m4 $(top_srcdir)/build/lzma.m4 \
146	$(top_srcdir)/build/network.m4 $(top_srcdir)/build/pcre.m4 \
147	$(top_srcdir)/build/pkg.m4 $(top_srcdir)/build/tcmalloc.m4 \
148	$(top_srcdir)/build/yaml-cpp.m4 $(top_srcdir)/build/zlib.m4 \
149	$(top_srcdir)/configure.ac
150am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
151	$(ACLOCAL_M4)
152DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
153mkinstalldirs = $(install_sh) -d
154CONFIG_HEADER = $(top_builddir)/include/ink_autoconf.h
155CONFIG_CLEAN_FILES =
156CONFIG_CLEAN_VPATH_FILES =
157LTLIBRARIES = $(noinst_LTLIBRARIES)
158libutils_lm_la_LIBADD =
159am__objects_1 = MgmtMarshall.lo MgmtSocket.lo MgmtUtils.lo
160am_libutils_lm_la_OBJECTS = $(am__objects_1) ExpandingArray.lo \
161	MgmtLocalCleanup.lo
162libutils_lm_la_OBJECTS = $(am_libutils_lm_la_OBJECTS)
163AM_V_lt = $(am__v_lt_@AM_V@)
164am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
165am__v_lt_0 = --silent
166am__v_lt_1 =
167libutils_p_la_LIBADD =
168am_libutils_p_la_OBJECTS = $(am__objects_1) MgmtProcessCleanup.lo
169libutils_p_la_OBJECTS = $(am_libutils_p_la_OBJECTS)
170am__dirstamp = $(am__leading_dot)dirstamp
171am_test_mgmt_utils_OBJECTS =  \
172	unit_tests/test_mgmt_utils-unit_test_main.$(OBJEXT) \
173	unit_tests/test_mgmt_utils-test_marshall.$(OBJEXT)
174test_mgmt_utils_OBJECTS = $(am_test_mgmt_utils_OBJECTS)
175test_mgmt_utils_DEPENDENCIES = libutils_p.la \
176	$(top_builddir)/src/tscore/libtscore.la
177test_mgmt_utils_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
178	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
179	$(AM_CXXFLAGS) $(CXXFLAGS) $(test_mgmt_utils_LDFLAGS) \
180	$(LDFLAGS) -o $@
181AM_V_P = $(am__v_P_@AM_V@)
182am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
183am__v_P_0 = false
184am__v_P_1 = :
185AM_V_GEN = $(am__v_GEN_@AM_V@)
186am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
187am__v_GEN_0 = @echo "  GEN     " $@;
188am__v_GEN_1 =
189AM_V_at = $(am__v_at_@AM_V@)
190am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
191am__v_at_0 = @
192am__v_at_1 =
193DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
194depcomp = $(SHELL) $(top_srcdir)/build/_aux/depcomp
195am__maybe_remake_depfiles = depfiles
196am__depfiles_remade = ./$(DEPDIR)/ExpandingArray.Plo \
197	./$(DEPDIR)/MgmtLocalCleanup.Plo ./$(DEPDIR)/MgmtMarshall.Plo \
198	./$(DEPDIR)/MgmtProcessCleanup.Plo ./$(DEPDIR)/MgmtSocket.Plo \
199	./$(DEPDIR)/MgmtUtils.Plo \
200	unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Po \
201	unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Po
202am__mv = mv -f
203CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
204	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
205LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
206	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
207	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
208	$(AM_CXXFLAGS) $(CXXFLAGS)
209AM_V_CXX = $(am__v_CXX_@AM_V@)
210am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
211am__v_CXX_0 = @echo "  CXX     " $@;
212am__v_CXX_1 =
213CXXLD = $(CXX)
214CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
215	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
216	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
217AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
218am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
219am__v_CXXLD_0 = @echo "  CXXLD   " $@;
220am__v_CXXLD_1 =
221COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
222	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
223LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
224	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
225	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
226	$(AM_CFLAGS) $(CFLAGS)
227AM_V_CC = $(am__v_CC_@AM_V@)
228am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
229am__v_CC_0 = @echo "  CC      " $@;
230am__v_CC_1 =
231CCLD = $(CC)
232LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
233	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
234	$(AM_LDFLAGS) $(LDFLAGS) -o $@
235AM_V_CCLD = $(am__v_CCLD_@AM_V@)
236am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
237am__v_CCLD_0 = @echo "  CCLD    " $@;
238am__v_CCLD_1 =
239SOURCES = $(libutils_lm_la_SOURCES) $(libutils_p_la_SOURCES) \
240	$(test_mgmt_utils_SOURCES)
241DIST_SOURCES = $(libutils_lm_la_SOURCES) $(libutils_p_la_SOURCES) \
242	$(test_mgmt_utils_SOURCES)
243am__can_run_installinfo = \
244  case $$AM_UPDATE_INFO_DIR in \
245    n|no|NO) false;; \
246    *) (install-info --version) >/dev/null 2>&1;; \
247  esac
248am__extra_recursive_targets = clang-tidy-recursive
249am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
250# Read a list of newline-separated strings from the standard input,
251# and print each of them once, without duplicates.  Input order is
252# *not* preserved.
253am__uniquify_input = $(AWK) '\
254  BEGIN { nonempty = 0; } \
255  { items[$$0] = 1; nonempty = 1; } \
256  END { if (nonempty) { for (i in items) print i; }; } \
257'
258# Make sure the list of sources is unique.  This is necessary because,
259# e.g., the same source file might be shared among _SOURCES variables
260# for different programs/libraries.
261am__define_uniq_tagged_files = \
262  list='$(am__tagged_files)'; \
263  unique=`for i in $$list; do \
264    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
265  done | $(am__uniquify_input)`
266ETAGS = etags
267CTAGS = ctags
268am__tty_colors_dummy = \
269  mgn= red= grn= lgn= blu= brg= std=; \
270  am__color_tests=no
271am__tty_colors = { \
272  $(am__tty_colors_dummy); \
273  if test "X$(AM_COLOR_TESTS)" = Xno; then \
274    am__color_tests=no; \
275  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
276    am__color_tests=yes; \
277  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
278    am__color_tests=yes; \
279  fi; \
280  if test $$am__color_tests = yes; then \
281    red=''; \
282    grn=''; \
283    lgn=''; \
284    blu=''; \
285    mgn=''; \
286    brg=''; \
287    std=''; \
288  fi; \
289}
290am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
291am__vpath_adj = case $$p in \
292    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
293    *) f=$$p;; \
294  esac;
295am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
296am__install_max = 40
297am__nobase_strip_setup = \
298  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
299am__nobase_strip = \
300  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
301am__nobase_list = $(am__nobase_strip_setup); \
302  for p in $$list; do echo "$$p $$p"; done | \
303  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
304  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
305    if (++n[$$2] == $(am__install_max)) \
306      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
307    END { for (dir in files) print dir, files[dir] }'
308am__base_list = \
309  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
310  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
311am__uninstall_files_from_dir = { \
312  test -z "$$files" \
313    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
314    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
315         $(am__cd) "$$dir" && rm -f $$files; }; \
316  }
317am__recheck_rx = ^[ 	]*:recheck:[ 	]*
318am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
319am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
320# A command that, given a newline-separated list of test names on the
321# standard input, print the name of the tests that are to be re-run
322# upon "make recheck".
323am__list_recheck_tests = $(AWK) '{ \
324  recheck = 1; \
325  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
326    { \
327      if (rc < 0) \
328        { \
329          if ((getline line2 < ($$0 ".log")) < 0) \
330	    recheck = 0; \
331          break; \
332        } \
333      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
334        { \
335          recheck = 0; \
336          break; \
337        } \
338      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
339        { \
340          break; \
341        } \
342    }; \
343  if (recheck) \
344    print $$0; \
345  close ($$0 ".trs"); \
346  close ($$0 ".log"); \
347}'
348# A command that, given a newline-separated list of test names on the
349# standard input, create the global log from their .trs and .log files.
350am__create_global_log = $(AWK) ' \
351function fatal(msg) \
352{ \
353  print "fatal: making $@: " msg | "cat >&2"; \
354  exit 1; \
355} \
356function rst_section(header) \
357{ \
358  print header; \
359  len = length(header); \
360  for (i = 1; i <= len; i = i + 1) \
361    printf "="; \
362  printf "\n\n"; \
363} \
364{ \
365  copy_in_global_log = 1; \
366  global_test_result = "RUN"; \
367  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
368    { \
369      if (rc < 0) \
370         fatal("failed to read from " $$0 ".trs"); \
371      if (line ~ /$(am__global_test_result_rx)/) \
372        { \
373          sub("$(am__global_test_result_rx)", "", line); \
374          sub("[ 	]*$$", "", line); \
375          global_test_result = line; \
376        } \
377      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
378        copy_in_global_log = 0; \
379    }; \
380  if (copy_in_global_log) \
381    { \
382      rst_section(global_test_result ": " $$0); \
383      while ((rc = (getline line < ($$0 ".log"))) != 0) \
384      { \
385        if (rc < 0) \
386          fatal("failed to read from " $$0 ".log"); \
387        print line; \
388      }; \
389      printf "\n"; \
390    }; \
391  close ($$0 ".trs"); \
392  close ($$0 ".log"); \
393}'
394# Restructured Text title.
395am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
396# Solaris 10 'make', and several other traditional 'make' implementations,
397# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
398# by disabling -e (using the XSI extension "set +e") if it's set.
399am__sh_e_setup = case $$- in *e*) set +e;; esac
400# Default flags passed to test drivers.
401am__common_driver_flags = \
402  --color-tests "$$am__color_tests" \
403  --enable-hard-errors "$$am__enable_hard_errors" \
404  --expect-failure "$$am__expect_failure"
405# To be inserted before the command running the test.  Creates the
406# directory for the log if needed.  Stores in $dir the directory
407# containing $f, in $tst the test, in $log the log.  Executes the
408# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
409# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
410# will run the test scripts (or their associated LOG_COMPILER, if
411# thy have one).
412am__check_pre = \
413$(am__sh_e_setup);					\
414$(am__vpath_adj_setup) $(am__vpath_adj)			\
415$(am__tty_colors);					\
416srcdir=$(srcdir); export srcdir;			\
417case "$@" in						\
418  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
419    *) am__odir=.;; 					\
420esac;							\
421test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
422  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
423if test -f "./$$f"; then dir=./;			\
424elif test -f "$$f"; then dir=;				\
425else dir="$(srcdir)/"; fi;				\
426tst=$$dir$$f; log='$@'; 				\
427if test -n '$(DISABLE_HARD_ERRORS)'; then		\
428  am__enable_hard_errors=no; 				\
429else							\
430  am__enable_hard_errors=yes; 				\
431fi; 							\
432case " $(XFAIL_TESTS) " in				\
433  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
434    am__expect_failure=yes;;				\
435  *)							\
436    am__expect_failure=no;;				\
437esac; 							\
438$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
439# A shell command to get the names of the tests scripts with any registered
440# extension removed (i.e., equivalently, the names of the test logs, with
441# the '.log' extension removed).  The result is saved in the shell variable
442# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
443# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
444# since that might cause problem with VPATH rewrites for suffix-less tests.
445# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
446am__set_TESTS_bases = \
447  bases='$(TEST_LOGS)'; \
448  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
449  bases=`echo $$bases`
450RECHECK_LOGS = $(TEST_LOGS)
451AM_RECURSIVE_TARGETS = check recheck
452TEST_SUITE_LOG = test-suite.log
453TEST_EXTENSIONS = @EXEEXT@ .test
454LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
455LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
456am__set_b = \
457  case '$@' in \
458    */*) \
459      case '$*' in \
460        */*) b='$*';; \
461          *) b=`echo '$@' | sed 's/\.log$$//'`; \
462       esac;; \
463    *) \
464      b='$*';; \
465  esac
466am__test_logs1 = $(TESTS:=.log)
467am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
468TEST_LOGS = $(am__test_logs2:.test.log=.log)
469TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
470TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
471	$(TEST_LOG_FLAGS)
472am__DIST_COMMON = $(srcdir)/Makefile.in \
473	$(top_srcdir)/build/_aux/depcomp \
474	$(top_srcdir)/build/_aux/test-driver \
475	$(top_srcdir)/build/tidy.mk
476DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
477pkgdatadir = @pkgdatadir@
478pkglibdir = @pkglibdir@
479pkglibexecdir = @pkglibexecdir@
480ACLOCAL = @ACLOCAL@
481AMTAR = @AMTAR@
482AM_CFLAGS = @AM_CFLAGS@
483AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(abs_top_srcdir)/iocore/utils \
484	-I$(abs_top_srcdir)/mgmt -I$(abs_top_srcdir)/mgmt/api \
485	-I$(abs_top_srcdir)/mgmt/api/include -I$(abs_top_srcdir)/proxy \
486	-I$(abs_top_srcdir)/include -I$(abs_top_srcdir)/lib \
487	$(TS_INCLUDES) @OPENSSL_INCLUDES@
488AM_CXXFLAGS = @AM_CXXFLAGS@
489AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
490AM_LDFLAGS = @AM_LDFLAGS@
491AR = @AR@
492ASCPP = @ASCPP@
493ATOMIC_LIBS = @ATOMIC_LIBS@
494AUTOCONF = @AUTOCONF@
495AUTOHEADER = @AUTOHEADER@
496AUTOMAKE = @AUTOMAKE@
497AWK = @AWK@
498BORINGOCSP_INCLUDES = @BORINGOCSP_INCLUDES@
499BORINGOCSP_LDFLAGS = @BORINGOCSP_LDFLAGS@
500BORINGOCSP_LIBS = @BORINGOCSP_LIBS@
501BROTLIENC_CFLAGS = @BROTLIENC_CFLAGS@
502BROTLIENC_LIB = @BROTLIENC_LIB@
503CC = @CC@
504CCACHE = @CCACHE@
505CCAS = @CCAS@
506CCASDEPMODE = @CCASDEPMODE@
507CCASFLAGS = @CCASFLAGS@
508CCDEPMODE = @CCDEPMODE@
509CFLAGS = @CFLAGS@
510CFLAGS_HIREDIS = @CFLAGS_HIREDIS@
511CLANG_TIDY = @CLANG_TIDY@
512CPP = @CPP@
513CPPFLAGS = @CPPFLAGS@
514CURL_CFLAGS = @CURL_CFLAGS@
515CURL_CONFIG = @CURL_CONFIG@
516CURL_LIBS = @CURL_LIBS@
517CURSES_CFLAGS = @CURSES_CFLAGS@
518CURSES_LDFLAGS = @CURSES_LDFLAGS@
519CURSES_LIBS = @CURSES_LIBS@
520CXX = @CXX@
521CXXCPP = @CXXCPP@
522CXXDEPMODE = @CXXDEPMODE@
523CXXFLAGS = @CXXFLAGS@
524CYGPATH_W = @CYGPATH_W@
525DEFS = @DEFS@
526DEPDIR = @DEPDIR@
527DLLTOOL = @DLLTOOL@
528DOXYGEN = @DOXYGEN@
529DSYMUTIL = @DSYMUTIL@
530DTRACE = @DTRACE@
531DUMPBIN = @DUMPBIN@
532ECHO_C = @ECHO_C@
533ECHO_N = @ECHO_N@
534ECHO_T = @ECHO_T@
535EGREP = @EGREP@
536EXEEXT = @EXEEXT@
537FGREP = @FGREP@
538FLEX_CFLAGS = @FLEX_CFLAGS@
539GEOIP_LIBS = @GEOIP_LIBS@
540GREP = @GREP@
541HOST_GUESS = @HOST_GUESS@
542HWLOC_CFLAGS = @HWLOC_CFLAGS@
543HWLOC_LIBS = @HWLOC_LIBS@
544INSTALL = @INSTALL@
545INSTALL_DATA = @INSTALL_DATA@
546INSTALL_PROGRAM = @INSTALL_PROGRAM@
547INSTALL_SCRIPT = @INSTALL_SCRIPT@
548INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
549JAVA = @JAVA@
550LD = @LD@
551LDFLAGS = @LDFLAGS@
552LEX = @LEX@
553LEXLIB = @LEXLIB@
554LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
555LIBBROTLIENC_CFLAGS = @LIBBROTLIENC_CFLAGS@
556LIBBROTLIENC_LIBS = @LIBBROTLIENC_LIBS@
557LIBCAP = @LIBCAP@
558LIBCJOSE = @LIBCJOSE@
559LIBCRYPT = @LIBCRYPT@
560LIBJANSSON = @LIBJANSSON@
561LIBLZMA = @LIBLZMA@
562LIBMAGICKCPP_CFLAGS = @LIBMAGICKCPP_CFLAGS@
563LIBMAGICKCPP_LIBS = @LIBMAGICKCPP_LIBS@
564LIBOBJS = @LIBOBJS@
565LIBPCRE = @LIBPCRE@
566LIBPROFILER = @LIBPROFILER@
567LIBREADLINE = @LIBREADLINE@
568LIBRESOLV = @LIBRESOLV@
569LIBS = @LIBS@
570LIBTOOL = @LIBTOOL@
571LIBUNWIND_CFLAGS = @LIBUNWIND_CFLAGS@
572LIBUNWIND_LIBS = @LIBUNWIND_LIBS@
573LIBZ = @LIBZ@
574LIB_HIREDIS = @LIB_HIREDIS@
575LIB_KYOTOCABINET = @LIB_KYOTOCABINET@
576LIB_MYSQLCLIENT = @LIB_MYSQLCLIENT@
577LIPO = @LIPO@
578LN_S = @LN_S@
579LTLIBOBJS = @LTLIBOBJS@
580LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
581LUAJIT_CFLAGS = @LUAJIT_CFLAGS@
582LUAJIT_CPPFLAGS = @LUAJIT_CPPFLAGS@
583LUAJIT_DARWIN_LDFLAGS = @LUAJIT_DARWIN_LDFLAGS@
584LUAJIT_LDFLAGS = @LUAJIT_LDFLAGS@
585LUAJIT_LIBS = @LUAJIT_LIBS@
586MAINT = @MAINT@
587MAKEINFO = @MAKEINFO@
588MANIFEST_TOOL = @MANIFEST_TOOL@
589MAXMINDDB_LIBS = @MAXMINDDB_LIBS@
590MKDIR_P = @MKDIR_P@
591NM = @NM@
592NMEDIT = @NMEDIT@
593OBJDUMP = @OBJDUMP@
594OBJEXT = @OBJEXT@
595OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
596OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
597OPENSSL_LIBS = @OPENSSL_LIBS@
598OTOOL = @OTOOL@
599OTOOL64 = @OTOOL64@
600PACKAGE = @PACKAGE@
601PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
602PACKAGE_NAME = @PACKAGE_NAME@
603PACKAGE_STRING = @PACKAGE_STRING@
604PACKAGE_TARNAME = @PACKAGE_TARNAME@
605PACKAGE_URL = @PACKAGE_URL@
606PACKAGE_VERSION = @PACKAGE_VERSION@
607PATH_SEPARATOR = @PATH_SEPARATOR@
608PCRE_CONFIG = @PCRE_CONFIG@
609PERL = @PERL@
610PKG_CONFIG = @PKG_CONFIG@
611PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
612PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
613PYTHON = @PYTHON@
614PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
615PYTHON_PLATFORM = @PYTHON_PLATFORM@
616PYTHON_PREFIX = @PYTHON_PREFIX@
617PYTHON_VERSION = @PYTHON_VERSION@
618RANLIB = @RANLIB@
619RM = @RM@
620RPATH = @RPATH@
621SED = @SED@
622SET_MAKE = @SET_MAKE@
623SHELL = @SHELL@
624SPHINXBUILD = @SPHINXBUILD@
625SPHINXOPTS = @SPHINXOPTS@
626STRIP = @STRIP@
627TS_INCLUDES = @TS_INCLUDES@
628TS_LIBTOOL_VERSION = @TS_LIBTOOL_VERSION@
629TS_MAN1_MANPAGES = @TS_MAN1_MANPAGES@
630TS_MAN3_MANPAGES = @TS_MAN3_MANPAGES@
631TS_MAN5_MANPAGES = @TS_MAN5_MANPAGES@
632TS_MAN8_MANPAGES = @TS_MAN8_MANPAGES@
633TS_VERSION_MAJOR = @TS_VERSION_MAJOR@
634TS_VERSION_MICRO = @TS_VERSION_MICRO@
635TS_VERSION_MINOR = @TS_VERSION_MINOR@
636TS_VERSION_NUMBER = @TS_VERSION_NUMBER@
637TS_VERSION_STRING = @TS_VERSION_STRING@
638VERSION = @VERSION@
639YACC = @YACC@
640YAMLCPP_INCLUDES = @YAMLCPP_INCLUDES@
641YAMLCPP_LDFLAGS = @YAMLCPP_LDFLAGS@
642YAMLCPP_LIBS = @YAMLCPP_LIBS@
643abs_builddir = @abs_builddir@
644abs_srcdir = @abs_srcdir@
645abs_top_builddir = @abs_top_builddir@
646abs_top_srcdir = @abs_top_srcdir@
647ac_ct_AR = @ac_ct_AR@
648ac_ct_CC = @ac_ct_CC@
649ac_ct_CXX = @ac_ct_CXX@
650ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
651am__include = @am__include@
652am__leading_dot = @am__leading_dot@
653am__quote = @am__quote@
654am__tar = @am__tar@
655am__untar = @am__untar@
656bindir = @bindir@
657build = @build@
658build_alias = @build_alias@
659build_cpu = @build_cpu@
660build_group = @build_group@
661build_machine = @build_machine@
662build_number = @build_number@
663build_os = @build_os@
664build_person = @build_person@
665build_vendor = @build_vendor@
666builddir = @builddir@
667cachedir = @cachedir@
668datadir = @datadir@
669datarootdir = @datarootdir@
670default_loopback_iface = @default_loopback_iface@
671default_stack_size = @default_stack_size@
672docdir = @docdir@
673dvidir = @dvidir@
674enable_fips = @enable_fips@
675enable_remote_cov_commit = @enable_remote_cov_commit@
676exec_prefix = @exec_prefix@
677exp_bindir = @exp_bindir@
678exp_cachedir = @exp_cachedir@
679exp_datadir = @exp_datadir@
680exp_docdir = @exp_docdir@
681exp_exec_prefix = @exp_exec_prefix@
682exp_includedir = @exp_includedir@
683exp_infodir = @exp_infodir@
684exp_installbuilddir = @exp_installbuilddir@
685exp_libdir = @exp_libdir@
686exp_libexecdir = @exp_libexecdir@
687exp_localstatedir = @exp_localstatedir@
688exp_logdir = @exp_logdir@
689exp_mandir = @exp_mandir@
690exp_prefix = @exp_prefix@
691exp_runtimedir = @exp_runtimedir@
692exp_sbindir = @exp_sbindir@
693exp_sysconfdir = @exp_sysconfdir@
694has_128bit_cas = @has_128bit_cas@
695has_backtrace = @has_backtrace@
696has_boringocsp = @has_boringocsp@
697has_expensive_tests = @has_expensive_tests@
698has_geoip = @has_geoip@
699has_in6_is_addr_unspecified = @has_in6_is_addr_unspecified@
700has_ip_tos = @has_ip_tos@
701has_kyotocabinet = @has_kyotocabinet@
702has_luajit = @has_luajit@
703has_maxminddb = @has_maxminddb@
704has_mysql = @has_mysql@
705has_profiler = @has_profiler@
706has_so_mark = @has_so_mark@
707has_so_peercred = @has_so_peercred@
708has_tcmalloc = @has_tcmalloc@
709has_tests = @has_tests@
710has_tls_early_data = @has_tls_early_data@
711has_tls_session_ticket = @has_tls_session_ticket@
712has_wccp = @has_wccp@
713host = @host@
714host_alias = @host_alias@
715host_cpu = @host_cpu@
716host_os = @host_os@
717host_vendor = @host_vendor@
718htmldir = @htmldir@
719includedir = @includedir@
720infodir = @infodir@
721install_sh = @install_sh@
722installbuilddir = @installbuilddir@
723iocore_include_dirs = @iocore_include_dirs@
724ip_transparent = @ip_transparent@
725jemalloch = @jemalloch@
726libdir = @libdir@
727libexecdir = @libexecdir@
728localedir = @localedir@
729localstatedir = @localstatedir@
730logdir = @logdir@
731mandir = @mandir@
732max_event_threads = @max_event_threads@
733max_host_name_len = @max_host_name_len@
734max_threads_per_type = @max_threads_per_type@
735mkdir_p = @mkdir_p@
736oldincludedir = @oldincludedir@
737pdfdir = @pdfdir@
738pkgbindir = @pkgbindir@
739pkgcachedir = @pkgcachedir@
740pkgdocdir = @pkgdocdir@
741pkglocalstatedir = @pkglocalstatedir@
742pkglogdir = @pkglogdir@
743pkgpyexecdir = @pkgpyexecdir@
744pkgpythondir = @pkgpythondir@
745pkgruntimedir = @pkgruntimedir@
746pkgsbindir = @pkgsbindir@
747pkgsysconfdir = @pkgsysconfdir@
748pkgsysgroup = @pkgsysgroup@
749pkgsysuser = @pkgsysuser@
750prefix = @prefix@
751program_transform_name = @program_transform_name@
752psdir = @psdir@
753pyexecdir = @pyexecdir@
754pythondir = @pythondir@
755rel_bindir = @rel_bindir@
756rel_cachedir = @rel_cachedir@
757rel_datadir = @rel_datadir@
758rel_docdir = @rel_docdir@
759rel_exec_prefix = @rel_exec_prefix@
760rel_includedir = @rel_includedir@
761rel_infodir = @rel_infodir@
762rel_installbuilddir = @rel_installbuilddir@
763rel_libdir = @rel_libdir@
764rel_libexecdir = @rel_libexecdir@
765rel_localstatedir = @rel_localstatedir@
766rel_logdir = @rel_logdir@
767rel_mandir = @rel_mandir@
768rel_prefix = @rel_prefix@
769rel_runtimedir = @rel_runtimedir@
770rel_sbindir = @rel_sbindir@
771rel_sysconfdir = @rel_sysconfdir@
772runstatedir = @runstatedir@
773runtimedir = @runtimedir@
774sbindir = @sbindir@
775sharedstatedir = @sharedstatedir@
776srcdir = @srcdir@
777sysconfdir = @sysconfdir@
778target_alias = @target_alias@
779top_build_prefix = @top_build_prefix@
780top_builddir = @top_builddir@
781top_srcdir = @top_srcdir@
782use_boringocsp = @use_boringocsp@
783use_dh_get_2048_256 = @use_dh_get_2048_256@
784use_diags = @use_diags@
785use_epoll = @use_epoll@
786use_fast_sdk = @use_fast_sdk@
787use_hello_cb = @use_hello_cb@
788use_hkdf = @use_hkdf@
789use_hrw_geoip = @use_hrw_geoip@
790use_hrw_maxminddb = @use_hrw_maxminddb@
791use_hwloc = @use_hwloc@
792use_kqueue = @use_kqueue@
793use_linux_native_aio = @use_linux_native_aio@
794use_port = @use_port@
795use_posix_cap = @use_posix_cap@
796use_quic = @use_quic@
797use_remote_unwinding = @use_remote_unwinding@
798use_set_rbio = @use_set_rbio@
799use_tls13 = @use_tls13@
800use_tls_async = @use_tls_async@
801use_tls_ocsp = @use_tls_ocsp@
802use_tls_set_ciphersuites = @use_tls_set_ciphersuites@
803use_tproxy = @use_tproxy@
804
805# header files used by other libraries
806EXTRA_DIST = MgmtSocket.h
807noinst_LTLIBRARIES = libutils_lm.la libutils_p.la
808TESTS = $(check_PROGRAMS)
809libutils_COMMON = \
810	MgmtMarshall.cc \
811	MgmtMarshall.h \
812	MgmtSocket.cc \
813	MgmtSocket.h \
814	MgmtUtils.cc \
815	MgmtUtils.h
816
817libutils_lm_la_SOURCES = \
818	$(libutils_COMMON) \
819	ExpandingArray.cc \
820	ExpandingArray.h \
821	MgmtLocalCleanup.cc
822
823libutils_p_la_SOURCES = \
824	$(libutils_COMMON) \
825	MgmtProcessCleanup.cc
826
827test_mgmt_utils_CPPFLAGS = $(AM_CPPFLAGS) -I$(abs_top_srcdir)/tests/include
828test_mgmt_utils_LDFLAGS = \
829	@AM_LDFLAGS@ \
830	@OPENSSL_LDFLAGS@
831
832test_mgmt_utils_SOURCES = \
833	unit_tests/unit_test_main.cc \
834	unit_tests/test_marshall.cc
835
836test_mgmt_utils_LDADD = \
837	libutils_p.la \
838	$(top_builddir)/src/tscore/libtscore.la
839
840Clang_Tidy_Options = -fix -fix-errors
841
842# Sort the filenames to remove duplicates, then filter to retain
843# just the C and C++ sources so we don't pick up lex and yacc files
844# for example.
845Clang_Tidy_CC_Files = $(filter %.c, $(sort $^))
846Clang_Tidy_CXX_Files = $(filter %.cc, $(sort $^))
847
848# clang-tidy rules. We expect these to be actions with something like
849# $(DIST_SOURCES) as the dependencies.rules. Note that $DIST_SOURCES
850# is not an automake API, it is an implementation detail, but it ought
851# to be stable enough.
852#
853# All this clearly requires GNU make.
854CXX_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CXX_Files) -- $(CXXCOMPILE) -x c++
855CC_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CC_Files) -- $(COMPILE) -x c
856all: all-am
857
858.SUFFIXES:
859.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
860$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build/tidy.mk $(am__configure_deps)
861	@for dep in $?; do \
862	  case '$(am__configure_deps)' in \
863	    *$$dep*) \
864	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
865	        && { if test -f $@; then exit 0; else break; fi; }; \
866	      exit 1;; \
867	  esac; \
868	done; \
869	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign mgmt/utils/Makefile'; \
870	$(am__cd) $(top_srcdir) && \
871	  $(AUTOMAKE) --foreign mgmt/utils/Makefile
872Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
873	@case '$?' in \
874	  *config.status*) \
875	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
876	  *) \
877	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
878	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
879	esac;
880$(top_srcdir)/build/tidy.mk $(am__empty):
881
882$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
883	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
884
885$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
886	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
887$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
888	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
889$(am__aclocal_m4_deps):
890
891clean-checkPROGRAMS:
892	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
893	echo " rm -f" $$list; \
894	rm -f $$list || exit $$?; \
895	test -n "$(EXEEXT)" || exit 0; \
896	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
897	echo " rm -f" $$list; \
898	rm -f $$list
899
900clean-noinstLTLIBRARIES:
901	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
902	@list='$(noinst_LTLIBRARIES)'; \
903	locs=`for p in $$list; do echo $$p; done | \
904	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
905	      sort -u`; \
906	test -z "$$locs" || { \
907	  echo rm -f $${locs}; \
908	  rm -f $${locs}; \
909	}
910
911libutils_lm.la: $(libutils_lm_la_OBJECTS) $(libutils_lm_la_DEPENDENCIES) $(EXTRA_libutils_lm_la_DEPENDENCIES)
912	$(AM_V_CXXLD)$(CXXLINK)  $(libutils_lm_la_OBJECTS) $(libutils_lm_la_LIBADD) $(LIBS)
913
914libutils_p.la: $(libutils_p_la_OBJECTS) $(libutils_p_la_DEPENDENCIES) $(EXTRA_libutils_p_la_DEPENDENCIES)
915	$(AM_V_CXXLD)$(CXXLINK)  $(libutils_p_la_OBJECTS) $(libutils_p_la_LIBADD) $(LIBS)
916unit_tests/$(am__dirstamp):
917	@$(MKDIR_P) unit_tests
918	@: > unit_tests/$(am__dirstamp)
919unit_tests/$(DEPDIR)/$(am__dirstamp):
920	@$(MKDIR_P) unit_tests/$(DEPDIR)
921	@: > unit_tests/$(DEPDIR)/$(am__dirstamp)
922unit_tests/test_mgmt_utils-unit_test_main.$(OBJEXT):  \
923	unit_tests/$(am__dirstamp) \
924	unit_tests/$(DEPDIR)/$(am__dirstamp)
925unit_tests/test_mgmt_utils-test_marshall.$(OBJEXT):  \
926	unit_tests/$(am__dirstamp) \
927	unit_tests/$(DEPDIR)/$(am__dirstamp)
928
929test_mgmt_utils$(EXEEXT): $(test_mgmt_utils_OBJECTS) $(test_mgmt_utils_DEPENDENCIES) $(EXTRA_test_mgmt_utils_DEPENDENCIES)
930	@rm -f test_mgmt_utils$(EXEEXT)
931	$(AM_V_CXXLD)$(test_mgmt_utils_LINK) $(test_mgmt_utils_OBJECTS) $(test_mgmt_utils_LDADD) $(LIBS)
932
933mostlyclean-compile:
934	-rm -f *.$(OBJEXT)
935	-rm -f unit_tests/*.$(OBJEXT)
936
937distclean-compile:
938	-rm -f *.tab.c
939
940@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ExpandingArray.Plo@am__quote@ # am--include-marker
941@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MgmtLocalCleanup.Plo@am__quote@ # am--include-marker
942@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MgmtMarshall.Plo@am__quote@ # am--include-marker
943@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MgmtProcessCleanup.Plo@am__quote@ # am--include-marker
944@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MgmtSocket.Plo@am__quote@ # am--include-marker
945@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MgmtUtils.Plo@am__quote@ # am--include-marker
946@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Po@am__quote@ # am--include-marker
947@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Po@am__quote@ # am--include-marker
948
949$(am__depfiles_remade):
950	@$(MKDIR_P) $(@D)
951	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
952
953am--depfiles: $(am__depfiles_remade)
954
955.cc.o:
956@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
957@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
958@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
959@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
960@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
961@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
962
963.cc.obj:
964@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
965@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
966@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
967@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
968@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
969@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
970
971.cc.lo:
972@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
973@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
974@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
975@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
976@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
977@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
978
979unit_tests/test_mgmt_utils-unit_test_main.o: unit_tests/unit_test_main.cc
980@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_mgmt_utils-unit_test_main.o -MD -MP -MF unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Tpo -c -o unit_tests/test_mgmt_utils-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
981@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Po
982@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_mgmt_utils-unit_test_main.o' libtool=no @AMDEPBACKSLASH@
983@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
984@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_mgmt_utils-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
985
986unit_tests/test_mgmt_utils-unit_test_main.obj: unit_tests/unit_test_main.cc
987@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_mgmt_utils-unit_test_main.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Tpo -c -o unit_tests/test_mgmt_utils-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
988@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Po
989@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_mgmt_utils-unit_test_main.obj' libtool=no @AMDEPBACKSLASH@
990@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
991@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_mgmt_utils-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
992
993unit_tests/test_mgmt_utils-test_marshall.o: unit_tests/test_marshall.cc
994@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_mgmt_utils-test_marshall.o -MD -MP -MF unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Tpo -c -o unit_tests/test_mgmt_utils-test_marshall.o `test -f 'unit_tests/test_marshall.cc' || echo '$(srcdir)/'`unit_tests/test_marshall.cc
995@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Tpo unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Po
996@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_marshall.cc' object='unit_tests/test_mgmt_utils-test_marshall.o' libtool=no @AMDEPBACKSLASH@
997@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
998@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_mgmt_utils-test_marshall.o `test -f 'unit_tests/test_marshall.cc' || echo '$(srcdir)/'`unit_tests/test_marshall.cc
999
1000unit_tests/test_mgmt_utils-test_marshall.obj: unit_tests/test_marshall.cc
1001@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_mgmt_utils-test_marshall.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Tpo -c -o unit_tests/test_mgmt_utils-test_marshall.obj `if test -f 'unit_tests/test_marshall.cc'; then $(CYGPATH_W) 'unit_tests/test_marshall.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_marshall.cc'; fi`
1002@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Tpo unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Po
1003@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_marshall.cc' object='unit_tests/test_mgmt_utils-test_marshall.obj' libtool=no @AMDEPBACKSLASH@
1004@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1005@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_mgmt_utils_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_mgmt_utils-test_marshall.obj `if test -f 'unit_tests/test_marshall.cc'; then $(CYGPATH_W) 'unit_tests/test_marshall.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_marshall.cc'; fi`
1006
1007mostlyclean-libtool:
1008	-rm -f *.lo
1009
1010clean-libtool:
1011	-rm -rf .libs _libs
1012clang-tidy-local:
1013
1014ID: $(am__tagged_files)
1015	$(am__define_uniq_tagged_files); mkid -fID $$unique
1016tags: tags-am
1017TAGS: tags
1018
1019tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1020	set x; \
1021	here=`pwd`; \
1022	$(am__define_uniq_tagged_files); \
1023	shift; \
1024	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1025	  test -n "$$unique" || unique=$$empty_fix; \
1026	  if test $$# -gt 0; then \
1027	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1028	      "$$@" $$unique; \
1029	  else \
1030	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1031	      $$unique; \
1032	  fi; \
1033	fi
1034ctags: ctags-am
1035
1036CTAGS: ctags
1037ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1038	$(am__define_uniq_tagged_files); \
1039	test -z "$(CTAGS_ARGS)$$unique" \
1040	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1041	     $$unique
1042
1043GTAGS:
1044	here=`$(am__cd) $(top_builddir) && pwd` \
1045	  && $(am__cd) $(top_srcdir) \
1046	  && gtags -i $(GTAGS_ARGS) "$$here"
1047cscopelist: cscopelist-am
1048
1049cscopelist-am: $(am__tagged_files)
1050	list='$(am__tagged_files)'; \
1051	case "$(srcdir)" in \
1052	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1053	  *) sdir=$(subdir)/$(srcdir) ;; \
1054	esac; \
1055	for i in $$list; do \
1056	  if test -f "$$i"; then \
1057	    echo "$(subdir)/$$i"; \
1058	  else \
1059	    echo "$$sdir/$$i"; \
1060	  fi; \
1061	done >> $(top_builddir)/cscope.files
1062
1063distclean-tags:
1064	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1065
1066# Recover from deleted '.trs' file; this should ensure that
1067# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1068# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1069# to avoid problems with "make -n".
1070.log.trs:
1071	rm -f $< $@
1072	$(MAKE) $(AM_MAKEFLAGS) $<
1073
1074# Leading 'am--fnord' is there to ensure the list of targets does not
1075# expand to empty, as could happen e.g. with make check TESTS=''.
1076am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1077am--force-recheck:
1078	@:
1079
1080$(TEST_SUITE_LOG): $(TEST_LOGS)
1081	@$(am__set_TESTS_bases); \
1082	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1083	redo_bases=`for i in $$bases; do \
1084	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1085	            done`; \
1086	if test -n "$$redo_bases"; then \
1087	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1088	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1089	  if $(am__make_dryrun); then :; else \
1090	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1091	  fi; \
1092	fi; \
1093	if test -n "$$am__remaking_logs"; then \
1094	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1095	       "recursion detected" >&2; \
1096	elif test -n "$$redo_logs"; then \
1097	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1098	fi; \
1099	if $(am__make_dryrun); then :; else \
1100	  st=0;  \
1101	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1102	  for i in $$redo_bases; do \
1103	    test -f $$i.trs && test -r $$i.trs \
1104	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1105	    test -f $$i.log && test -r $$i.log \
1106	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1107	  done; \
1108	  test $$st -eq 0 || exit 1; \
1109	fi
1110	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1111	ws='[ 	]'; \
1112	results=`for b in $$bases; do echo $$b.trs; done`; \
1113	test -n "$$results" || results=/dev/null; \
1114	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1115	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1116	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1117	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1118	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1119	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1120	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1121	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1122	  success=true; \
1123	else \
1124	  success=false; \
1125	fi; \
1126	br='==================='; br=$$br$$br$$br$$br; \
1127	result_count () \
1128	{ \
1129	    if test x"$$1" = x"--maybe-color"; then \
1130	      maybe_colorize=yes; \
1131	    elif test x"$$1" = x"--no-color"; then \
1132	      maybe_colorize=no; \
1133	    else \
1134	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1135	    fi; \
1136	    shift; \
1137	    desc=$$1 count=$$2; \
1138	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1139	      color_start=$$3 color_end=$$std; \
1140	    else \
1141	      color_start= color_end=; \
1142	    fi; \
1143	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1144	}; \
1145	create_testsuite_report () \
1146	{ \
1147	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1148	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1149	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1150	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1151	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1152	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1153	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1154	}; \
1155	{								\
1156	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1157	    $(am__rst_title);						\
1158	  create_testsuite_report --no-color;				\
1159	  echo;								\
1160	  echo ".. contents:: :depth: 2";				\
1161	  echo;								\
1162	  for b in $$bases; do echo $$b; done				\
1163	    | $(am__create_global_log);					\
1164	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1165	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1166	if $$success; then						\
1167	  col="$$grn";							\
1168	 else								\
1169	  col="$$red";							\
1170	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1171	fi;								\
1172	echo "$${col}$$br$${std}"; 					\
1173	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1174	echo "$${col}$$br$${std}"; 					\
1175	create_testsuite_report --maybe-color;				\
1176	echo "$$col$$br$$std";						\
1177	if $$success; then :; else					\
1178	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1179	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1180	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1181	  fi;								\
1182	  echo "$$col$$br$$std";					\
1183	fi;								\
1184	$$success || exit 1
1185
1186check-TESTS: $(check_PROGRAMS)
1187	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1188	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1189	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1190	@set +e; $(am__set_TESTS_bases); \
1191	log_list=`for i in $$bases; do echo $$i.log; done`; \
1192	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1193	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1194	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1195	exit $$?;
1196recheck: all $(check_PROGRAMS)
1197	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1198	@set +e; $(am__set_TESTS_bases); \
1199	bases=`for i in $$bases; do echo $$i; done \
1200	         | $(am__list_recheck_tests)` || exit 1; \
1201	log_list=`for i in $$bases; do echo $$i.log; done`; \
1202	log_list=`echo $$log_list`; \
1203	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1204	        am__force_recheck=am--force-recheck \
1205	        TEST_LOGS="$$log_list"; \
1206	exit $$?
1207test_mgmt_utils.log: test_mgmt_utils$(EXEEXT)
1208	@p='test_mgmt_utils$(EXEEXT)'; \
1209	b='test_mgmt_utils'; \
1210	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1211	--log-file $$b.log --trs-file $$b.trs \
1212	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1213	"$$tst" $(AM_TESTS_FD_REDIRECT)
1214.test.log:
1215	@p='$<'; \
1216	$(am__set_b); \
1217	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1218	--log-file $$b.log --trs-file $$b.trs \
1219	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1220	"$$tst" $(AM_TESTS_FD_REDIRECT)
1221@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1222@am__EXEEXT_TRUE@	@p='$<'; \
1223@am__EXEEXT_TRUE@	$(am__set_b); \
1224@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1225@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1226@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1227@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1228
1229distdir: $(BUILT_SOURCES)
1230	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1231
1232distdir-am: $(DISTFILES)
1233	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1234	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1235	list='$(DISTFILES)'; \
1236	  dist_files=`for file in $$list; do echo $$file; done | \
1237	  sed -e "s|^$$srcdirstrip/||;t" \
1238	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1239	case $$dist_files in \
1240	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1241			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1242			   sort -u` ;; \
1243	esac; \
1244	for file in $$dist_files; do \
1245	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1246	  if test -d $$d/$$file; then \
1247	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1248	    if test -d "$(distdir)/$$file"; then \
1249	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1250	    fi; \
1251	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1252	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1253	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1254	    fi; \
1255	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1256	  else \
1257	    test -f "$(distdir)/$$file" \
1258	    || cp -p $$d/$$file "$(distdir)/$$file" \
1259	    || exit 1; \
1260	  fi; \
1261	done
1262check-am: all-am
1263	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1264	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1265check: check-am
1266all-am: Makefile $(LTLIBRARIES)
1267installdirs:
1268install: install-am
1269install-exec: install-exec-am
1270install-data: install-data-am
1271uninstall: uninstall-am
1272
1273install-am: all-am
1274	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1275
1276installcheck: installcheck-am
1277install-strip:
1278	if test -z '$(STRIP)'; then \
1279	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1280	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1281	      install; \
1282	else \
1283	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1284	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1285	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1286	fi
1287mostlyclean-generic:
1288	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1289	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1290	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1291
1292clean-generic:
1293
1294distclean-generic:
1295	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1296	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1297	-rm -f unit_tests/$(DEPDIR)/$(am__dirstamp)
1298	-rm -f unit_tests/$(am__dirstamp)
1299
1300maintainer-clean-generic:
1301	@echo "This command is intended for maintainers to use"
1302	@echo "it deletes files that may require special tools to rebuild."
1303clang-tidy: clang-tidy-am
1304
1305clang-tidy-am: clang-tidy-local
1306
1307clean: clean-am
1308
1309clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1310	clean-noinstLTLIBRARIES mostlyclean-am
1311
1312distclean: distclean-am
1313		-rm -f ./$(DEPDIR)/ExpandingArray.Plo
1314	-rm -f ./$(DEPDIR)/MgmtLocalCleanup.Plo
1315	-rm -f ./$(DEPDIR)/MgmtMarshall.Plo
1316	-rm -f ./$(DEPDIR)/MgmtProcessCleanup.Plo
1317	-rm -f ./$(DEPDIR)/MgmtSocket.Plo
1318	-rm -f ./$(DEPDIR)/MgmtUtils.Plo
1319	-rm -f unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Po
1320	-rm -f unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Po
1321	-rm -f Makefile
1322distclean-am: clean-am distclean-compile distclean-generic \
1323	distclean-tags
1324
1325dvi: dvi-am
1326
1327dvi-am:
1328
1329html: html-am
1330
1331html-am:
1332
1333info: info-am
1334
1335info-am:
1336
1337install-data-am:
1338
1339install-dvi: install-dvi-am
1340
1341install-dvi-am:
1342
1343install-exec-am:
1344
1345install-html: install-html-am
1346
1347install-html-am:
1348
1349install-info: install-info-am
1350
1351install-info-am:
1352
1353install-man:
1354
1355install-pdf: install-pdf-am
1356
1357install-pdf-am:
1358
1359install-ps: install-ps-am
1360
1361install-ps-am:
1362
1363installcheck-am:
1364
1365maintainer-clean: maintainer-clean-am
1366		-rm -f ./$(DEPDIR)/ExpandingArray.Plo
1367	-rm -f ./$(DEPDIR)/MgmtLocalCleanup.Plo
1368	-rm -f ./$(DEPDIR)/MgmtMarshall.Plo
1369	-rm -f ./$(DEPDIR)/MgmtProcessCleanup.Plo
1370	-rm -f ./$(DEPDIR)/MgmtSocket.Plo
1371	-rm -f ./$(DEPDIR)/MgmtUtils.Plo
1372	-rm -f unit_tests/$(DEPDIR)/test_mgmt_utils-test_marshall.Po
1373	-rm -f unit_tests/$(DEPDIR)/test_mgmt_utils-unit_test_main.Po
1374	-rm -f Makefile
1375maintainer-clean-am: distclean-am maintainer-clean-generic
1376
1377mostlyclean: mostlyclean-am
1378
1379mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1380	mostlyclean-libtool
1381
1382pdf: pdf-am
1383
1384pdf-am:
1385
1386ps: ps-am
1387
1388ps-am:
1389
1390uninstall-am:
1391
1392.MAKE: check-am install-am install-strip
1393
1394.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1395	check-am clang-tidy-am clang-tidy-local clean \
1396	clean-checkPROGRAMS clean-generic clean-libtool \
1397	clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1398	distclean-compile distclean-generic distclean-libtool \
1399	distclean-tags distdir dvi dvi-am html html-am info info-am \
1400	install install-am install-data install-data-am install-dvi \
1401	install-dvi-am install-exec install-exec-am install-html \
1402	install-html-am install-info install-info-am install-man \
1403	install-pdf install-pdf-am install-ps install-ps-am \
1404	install-strip installcheck installcheck-am installdirs \
1405	maintainer-clean maintainer-clean-generic mostlyclean \
1406	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1407	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1408	uninstall-am
1409
1410.PRECIOUS: Makefile
1411
1412
1413clang-tidy-local: $(DIST_SOURCES)
1414	$(CXX_Clang_Tidy)
1415
1416# Tell versions [3.59,3.63) of GNU make to not export all variables.
1417# Otherwise a system limit (for SysV at least) may be exceeded.
1418.NOEXPORT:
1419